Skip to main content
`Ctrl`+`K`

# PetscDevice

Object to manage an accelerator “device” (usually a GPU)

## Synopsis

    #include <petscdevicetypes.h>
    typedef struct _n_PetscDevice *PetscDevice;

## Note

This object is used to house configuration and state of a device, but does not offer any ability to interact with or drive device computation. This functionality is facilitated instead by the `PetscDeviceContext` object.

## See Also

`PetscDeviceType`, `PetscDeviceInitType`, `PetscDeviceCreate()`, `PetscDeviceConfigure()`, `PetscDeviceDestroy()`, `PetscDeviceContext`, `PetscDeviceContextSetDevice()`, `PetscDeviceContextGetDevice()`, `PetscDeviceGetAttribute()`

## Level

beginner

## Location

include/petscdevicetypes.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages